using Sirenix.OdinInspector;
using UnityEngine;
using VOID.Generic.Objects.Abstract;
using VOID.Generic.Objects.Unit;

namespace VOID.Generic.Projectile.TargetValidator
{
    [TypeRegistryItem("Self")]
    public class ProjectileTargetSelf : IProjectileTargetValidator
    {
        public bool IsValid(UnitObject caster, Vector3 targetPosition, AbstractObject targetObject)
        {
            return caster == targetObject;
        }
    }
}